body, html {
    background-color: black;
    margin: 0;
    font-family: "Merriweather", serif;
    font-optical-sizing: auto;
    font-style: normal;
    color: white;
}

#preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    transition: opacity 0.5s ease;
}

.tattoo-machine-wrapper {
    animation: vibrate 0.1s infinite;
}


.loading-text {
    font-family: "Merriweather", serif;
    font-size: 32px;
    color: #333;
    animation: blink 1.2s infinite;
}
  
@keyframes vibrate {
    0% { transform: translate(0); }
    25% { transform: translate(1px, -1px); }
    50% { transform: translate(-1px, 1px); }
    75% { transform: translate(1px, 1px); }
    100% { transform: translate(-1px, -1px); }
}

h1, h2, h3 {
    margin: 0;
}

a {
    color: white;
    text-decoration: none;
}

a:hover {
    color: red;
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
}

.btn {
    margin: 0;
    text-align: center;
    padding: 10px 50px;
    background-color: red;
    color: white;
    border-radius: 5px;
    font-weight: bold;
    font-size: 14px;
    transition: background-color 0.3s;
}

.btn:hover {
    background-color: white;
    color: red;
}

.btn-header {
    margin: 0;
    text-align: center;
    padding: 1px 50px;
    background-color: red;
    color: white;
    border-radius: 5px;
    font-weight: bold;
    font-size: 14px;
    transition: background-color 0.3s;
}

.btn-header:hover {
    background-color: white;
    color: red;
}

.nav-menu ul {
    display: flex;
    gap: 10px;
    list-style-type: none;
    padding: 5px;
    margin: 0;
}

.nav-menu li {
    text-align: center;
    padding: 5px 0px;
}

.nav-menu ul li a {
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
}

.nav-menu ul li a:hover {
    border-bottom: 2px red solid;
    color: red;
}

.header-icons {
    display: flex;
    gap: 10px;
}

.insta-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.insta-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.insta-icon:hover .icon-blue {
    opacity: 1;
}

.insta-icon:hover .icon-white {
    opacity: 0;
}

.viber-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.viber-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.viber-icon:hover .icon-blue {
    opacity: 1;
}

.viber-icon:hover .icon-white {
    opacity: 0;
}

.telegram-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.telegram-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}
  
.icon-blue {
    opacity: 0;
}

.icon-green {
    opacity: 0;
}

.telegram-icon:hover .icon-blue {
    opacity: 1;
}

.telegram-icon:hover .icon-white {
    opacity: 0;
}

.whatsup-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.whatsup-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.whatsup-icon:hover .icon-green {
    opacity: 1;
}

.phone-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.phone-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.phone-icon:hover .icon-blue {
    opacity: 1;
}

.phone-icon:hover .icon-white {
    opacity: 0;
}

/* Бургер кнопка */
.burger {
    display: none;
    flex-direction: column;
    gap: 5px;
    cursor: pointer;
    z-index: 10;
}
  
.burger span {
    width: 25px;
    height: 3px;
    background: white;
    transition: 0.3s;
}

.close-btn {
    display: none;
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 2rem;
    color: white;
    cursor: pointer;
    z-index: 30;
}

/* Hero Block */

.hero {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.hero a {
    margin: 50px;
}

h1 {
    margin: 0;
    font-size: 68px;
    letter-spacing: 2px;
}

/* Poslugi Block */

.poslugi {
    text-align: center;
    background-color: rgb(25,25,30);
}

.poslugi h2 {
    padding: 50px;
    font-size: 48px;
}

.poslugi-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    justify-items: center;
}

.poslugi-card {
    border-radius: 10px;
}

.poslugi-card img {
    width: 400px;
    height: 300px;
    display: block;
    border-radius: 10px;
    filter: grayscale(100%);
    transition: filter 0.4s ease;
}

.poslugi-card img:hover {
    filter: grayscale(0%);
}

.poslugi-card p {
    margin: 0;
    text-align: center;
    padding: 10px 20px;
    background-color: red;
    color: white;
    border-radius: 5px;
    font-weight: bold;
    font-size: 21px;
    transition: background-color 0.3s;
}

.poslugi-card:hover p {
    background-color: white;
    color: red;
}

/* About */

.about {
    padding: 50px 0px;
    display: flex;
    justify-content: space-between;
    background-color: rgb(25,25,30);
}

.text-block h2 {
    padding: 20px 0px;
    font-size: 48px;
}
 
.text-block h3 {
    color: #46B475;
}

.text-block {
    padding-left: 50px;
}

.text-block p {
    width: 700px;
}

/* Process Block */

.process {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    font-size: 48px;
}

.process h2 {
    padding: 30px 0px;
    letter-spacing: 15px;
}

.video-container {
    position: relative;
    width: 100%;
    max-width: 1100px; /* Задай нужную ширину */
}
  
.video-container video {
    width: 100%;
    height: auto;
    display: block;
    cursor: pointer;
    border: 1px red solid;
}

/* Masters Block */

.masters h2 {
    font-size: 48px;
    text-align: center;
    padding: 50px 0px;
}

.masters-card {
    display: flex;
    justify-content: center;
    gap: 100px;
    text-align: center;
}

.masters-card h3 {
    margin: 20px 0px;
    letter-spacing: 2px;
}

.masters-card p {
    letter-spacing: 2px;
}

/* Otziv Block */

.otziv-section h2 {
    font-size: 48px;
    text-align: center;
    padding: 50px 0px;
    letter-spacing: 5px;
}

.otziv-block {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1px;
    padding: 20px;
}

.otziv {
    border: 1px white solid;
    text-align: center;
}

.quote {
    font-size: 62px;
}

.otziv h3 {
    font-size: 24px;
}

.otziv p {
    text-align: left;
    padding: 10px;
    font-size: 16px;
}

/* Price Block */

.price {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.price h2 {
    font-size: 48px;
    text-align: center;
    padding: 50px 0px;
    letter-spacing: 5px;
}

.price-item {
    display: flex;
    justify-content: space-between;
    gap: 100px;
    margin: 20px 0px;
    border-bottom: 1px white solid;
    font-size: 21px;
}

.price-cost {
    display: flex;
    align-items: end;
}

.btn-red {
    display: inline-block;
    background-color: red;
    color: white;
    padding: 10px 120px;
    text-decoration: none;
    font-weight: bold;
    font-size: 16px;
    border-radius: 4px;
    transition: 0.3s;
}
  
.btn-red:hover {
    background-color: white;
    color: red;
}


/* Work Block */

.work h2 {
    text-align: center;
    margin: 100px 0px;
    letter-spacing: 5px;
    font-size: 48px;
}

.foto-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-between;
    padding: 50px 200px;
}


.foto-grid img {
    width: 200px;
    height: 200px;
    cursor: pointer;
    transition: 0.3s ease;
    border: 2px solid transparent;
}

.foto-grid img:hover {
    border: 1px red solid;
}

/* Модалка */
.modal {
    display: none;
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.9);
    justify-content: center;
    align-items: center;
}

.modal-content {
    max-width: 90%;
    max-height: 90%;
    border: 3px solid red;
    box-shadow: 0 0 20px red;
}
  
.close {
    position: absolute;
    top: 30px;
    right: 50px;
    font-size: 40px;
    color: white;
    cursor: pointer;
}


/* Statement Block */

.text-statement {
    font-size: 21px;
    text-align: center;
    position: relative;
    z-index: 2;
    letter-spacing: 3px;
}

.statement {
    position: relative;
    background-image: url('images/quote.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 650px;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    overflow: hidden;
}

.statement::before {
    content: "";
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    background: rgba(0, 0, 0, 0.7); /* полупрозрачное затемнение */
    z-index: 0;
}

/* Contacts Block */

.contacts {
    background-color: rgb(25,25,30);
    text-align: center;
}

.contact-info p {
    margin: 0;
    padding: 10px 0px;
}

.contact-icons {
    display: flex;
    gap: 20px;
    justify-content: center;
}

.icon-contact {
    transition: transform 0.3s ease;
}

.icon-contact:hover {
    transform: scale(1.2);
}

.map {
    width: 100%;
    height: 300px;
    position: relative;
    overflow: hidden;
}

.map iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

/* Footer */

.footer {
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
}


/* Adaptive */

@media (max-width: 1024px) {
    .header {
        flex-wrap: wrap;
    }

    .btn-header {
        display: none;
    }

    .logo {
        width: 50px;
    }

    .burger {
        display: flex;
    }

    .close-btn {
        display: flex;
    }

    .nav-menu {
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background: #111;
        display: flex;
        align-items: center;
        justify-content: center;
        transform: translateY(-100%);
        transition: transform 0.3s ease-in-out;
        z-index: 15;
    }

    .nav-menu.active {
        align-items: center;
        transform: translateY(0);
    }

    .nav-menu ul li a {
        font-size: 32px;
    }

    .nav-menu ul {
        gap: 60px;
    }

    .nav__list {
        list-style: none;
        text-align: center;
        display: flex;
        flex-direction: column;
        gap: 30px;
    }

    .btn {
        padding: 5px 25px;
    }

    .hero img {
        width: 300px;
    }

    .hero h1 {
        font-size: 14px;
    }

    .hero a {
        margin: 15px;
    }

    .poslugi h2 {
        font-size: 36px;
    }

    .poslugi-grid {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .poslugi-card img {
        width: 300px;
        height: 200px;
        filter: grayscale(0%);
    }

    .about {
        padding: 0;
        flex-wrap: wrap;
    }

    .video-container {
        width: 90%;
    }

    .text-block {
        padding: 10px;
        text-align: center;
    }

    .text-block p {
        width: 100%;
    }

    .salon-photo img {
        width: 100%;
    }

    .masters h2 {
        font-size: 28px;
    }

    .masters-card {
        flex-wrap: wrap;
    }

    .masters-card h3 {
        font-size: 24px;
    }

    .masters-card p {
        font-size: 18px;
    }

    .otziv-block {
        display: flex;
        flex-wrap: wrap;
    }

    .price-info {
        width: 150px;
    }

    .price-cost {
        font-size: 12px;
    }

    .price-item {
        font-size: 14px;
        width: 100%;
    }

    .work h2 {
        font-size: 28px;
        margin: 50px 0px;
    }

    .foto-grid {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin: 10px;
        padding: 0;
    }

    .foto-grid img {
        width: 155px;
        height: 160px;
    }

    .close {
        top: 10px;
        right: 15px;
    }

    .text-statement h2 {
        font-size: 16px;
    }

    .text-statement p {
        font-size: 14px;
    }

}

@media (max-width: 480px) {

}